Agora Java API Reference for Android

Classes | Public Types | Public Attributes | List of all members
agora::rtc::SimulcastConfig Struct Reference

Configure video streams of different quality levels. More...

`#include <AgoraBase.h>`

## Classes
struct | StreamLayerConfig
| Configures the parameters of a specific layer in multi-quality video streams. More...

## Public Types
enum | StreamLayerIndex { STREAM_LAYER_1 = 0, STREAM_LAYER_2 = 1, STREAM_LAYER_3 = 2, STREAM_LAYER_4 = 3, STREAM_LAYER_5 = 4, STREAM_LAYER_6 = 5, STREAM_LOW = 6, STREAM_LAYER_COUNT_MAX = 7 }
| Index of video streams of different quality levels. More...

## Public Attributes
StreamLayerConfig | configs [STREAM_LAYER_COUNT_MAX]
bool | publish_fallback_enable

## Detailed Description

Configure video streams of different quality levels.

Since
  v4.6.0

## Member Enumeration Documentation

## ◆ StreamLayerIndex

enum agora::rtc::SimulcastConfig::StreamLayerIndex

Index of video streams of different quality levels.

Enumerator
STREAM_LAYER_1 | （0）: Video stream layer_1, with lower resolution and bitrate than VIDEO_STREAM_HIGH.
STREAM_LAYER_2 | （1）: Video stream layer_2, with lower resolution and bitrate than VIDEO_STREAM_LAYER_1.
STREAM_LAYER_3 | （2）: Video stream layer_3, with lower resolution and bitrate than VIDEO_STREAM_LAYER_2.
STREAM_LAYER_4 | （3）: Video stream layer_4, with lower resolution and bitrate than VIDEO_STREAM_LAYER_3.
STREAM_LAYER_5 | （4）: Video stream layer_5, with lower resolution and bitrate than VIDEO_STREAM_LAYER_4.
STREAM_LAYER_6 | （5）: Video stream layer_6, with lower resolution and bitrate than VIDEO_STREAM_LAYER_5.
STREAM_LOW | （6）: Low-quality video stream, with the lowest resolution and bitrate.
STREAM_LAYER_COUNT_MAX | （7）: Maximum number of video stream layers.

## Member Data Documentation

## ◆ configs

StreamLayerConfig agora::rtc::SimulcastConfig::configs[STREAM_LAYER_COUNT_MAX]

Configurations for multi-layer streaming: `StreamLayerConfig`.

## ◆ publish_fallback_enable

bool agora::rtc::SimulcastConfig::publish_fallback_enable

Whether to enable fallback publishing:

- `true`: Enable fallback publishing. When the device performance or network is poor at the publishing end, the SDK will dynamically disable multiple video streams of different quality levels, from layer1 to layer6. At least the video streams of the highest and lowest quality are retained to maintain basic video continuity.
- `false`: (Default) Disable fallback publishing.